> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/eng/acquiring/supplementary-methods/receiving-a-list-of-cards.md).

# Receiving a list of cards

## Request for a list of saved cards&#x20;

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/system/client/cards`

#### Query Parameters

| Name                                                  | Type    | Description                                |
| ----------------------------------------------------- | ------- | ------------------------------------------ |
| merchant\_id<mark style="color:red;">\*</mark>        | Integer | Merchant ID assigned by the payment system |
| project\_client\_id<mark style="color:red;">\*</mark> | String  | Client ID on the project side              |
| project\_id<mark style="color:red;">\*</mark>         | Integer | Project ID assigned by the payment system  |

#### Headers

| Name          | Type   | Description                                        |
| ------------- | ------ | -------------------------------------------------- |
| Authorization | String | Bearer Auto-rotation hash (see Signature Creating) |

{% tabs %}
{% tab title="200: OK Example of a successful response" %}

```json
{
    "status": true,
    "message": "Success",
    "result": [
        {
            "card_token": "",
            "masked_pan": "0000-00XXXXXX-0000"
        },
        {
            "card_token": "",
            "masked_pan": "0000-00XXXXXX-0000"
        },
        {
            "card_token": "",
            "masked_pan": "0000-00XXXXXX-0000"
        }
    ]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Example of an error response" %}

```json
{
    "status": false,
    "status_code": 1021,
    "message": "request validation error",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code overflow="wrap" lineNumbers="true" fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/transaction/api/v1/system/client/cards?merchant_id=999&project_id=999&project_client_id=999' \
--header 'Authorization: Bearer sign' \
--data ''
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tarlanpayments.kz/eng/acquiring/supplementary-methods/receiving-a-list-of-cards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
